curl --request GET \
--url https://partners.centaur.io/api/v1/feed \
--header 'x-api-key: <api-key>'import requests
url = "https://partners.centaur.io/api/v1/feed"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://partners.centaur.io/api/v1/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"results": [
{
"id": "<string>",
"writtenAt": "2023-11-07T05:31:56Z",
"source": {
"platform": "TELEGRAM",
"url": "<string>",
"text": "<string>",
"attachments": [
{
"type": "<string>",
"url": "<string>"
}
],
"identity": {
"platform": "TELEGRAM",
"sourceIdentityId": "<string>",
"displayName": "<string>",
"handle": "<string>",
"avatarUrl": "<string>",
"profileUrl": "<string>",
"audienceCount": 123
}
},
"trader": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"avatarUrl": "<string>"
},
"events": [
{
"id": 123,
"type": "open",
"price": 123,
"quoteSymbol": "<string>",
"timeOfEvent": "2023-11-07T05:31:56Z",
"direction": "long",
"assumed": true,
"retrospective": true,
"positionId": 123,
"traderId": 123,
"assetId": 123,
"asset": {
"id": 123,
"name": "<string>",
"symbol": "<string>",
"logoUrl": "<string>"
}
}
]
}
],
"meta": {
"hasMore": true,
"nextCursor": "<string>",
"appliedTimeRange": {
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z"
}
}
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "INVALID_CURSOR",
"message": "Malformed cursor"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "FORBIDDEN",
"message": "Forbidden"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "<unknown>"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "AUTHENTICATION_UNAVAILABLE",
"message": "Authentication is temporarily unavailable"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}List the curated partner feed
Returns presentation-ready source-message groups ordered by message post time. Use cursor for scroll-back pagination or since for ingestion-watermark change polling with whole-group upsert semantics.
Authorizations
API key issued by Centaur.
Query Parameters
Filter to specific trader IDs.
Filter to specific asset IDs.
Inclusive ISO-8601 lower time bound on source-message post time, clamped to the rolling seven-day feed window.
Inclusive ISO-8601 upper time bound on source-message post time. Defaults to the request time.
Maximum number of source-message groups to return. Defaults to 20, maximum 100.
1 <= x <= 100Scroll-back cursor from meta.nextCursor; mutually exclusive with since.
1Change-feed token from meta.nextCursor; returns groups changed after its ingestion watermark and is mutually exclusive with cursor.
1